<mamecheat version="1">

  <cheat desc="Infinite Main Time">
    <script state="run">
      <action>maincpu.pw@80D2=9999</action>
    </script>
  </cheat>

  <cheat desc="Invincibility">
    <script state="run">
      <action>cart.pb@05B8=02</action>
    </script>
  </cheat>

  <cheat desc="Infinite Bombs">
    <script state="run">
      <action>cart.pb@0459=63</action>
    </script>
  </cheat>

  <cheat desc="Maximum Tyre Power">
    <script state="run">
      <action>cart.pb@0453=FF</action>
    </script>
  </cheat>

  <cheat desc="Maximum Acceleration Power">
    <script state="run">
      <action>cart.pb@0454=FF</action>
    </script>
  </cheat>

  <cheat desc="Maximum Top Speed"> <comment>This lets you go as fast as the CPU cars turbo.</comment>
    <script state="run">
      <action condition="(cart.pb@03F9==00)">cart.pb@0455=50</action>
      <action condition="(cart.pb@03F9==01)">cart.pb@0455=54</action>
      <action condition="(cart.pb@03F9==02)">cart.pb@0455=CF</action>
    </script>
  </cheat>

  <cheat desc="Select Vehicle Type">
    <parameter>
      <item value="0x00">Truck (default)</item>
      <item value="0x01">SUV</item>
      <item value="0x02">Car</item>
    </parameter>
    <script state="run">
      <action>cart.pb@03F9=param</action>
    </script>
  </cheat>

  <cheat desc="Select Weapon">
    <parameter>
      <item value="0x01">Bomb</item>
      <item value="0x02">Rocket</item>
    </parameter>
    <script state="run">
      <action>cart.pb@045A=param</action>
    </script>
  </cheat>

  <cheat desc="Select Number of Laps per Race">
    <parameter min="1" max="9" step="1"/>
    <script state="run">
      <action>cart.pb@044E=(param-1)</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
